{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.11";

    utils.url = "github:wunderwerkio/nix-utils";
    utils.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = {
    self,
    utils,
    nixpkgs,
  }:
    utils.lib.systems.eachDefault (system: let
      pkgs = import nixpkgs {
        inherit system;
      };
      utilPkgs = utils.packages.${system};
      setup-drupal = import ./nix/scripts/setup-drupal.nix {
        inherit pkgs utilPkgs;
      };
      create-gitlab-ci-config = import ./nix/scripts/create-gitlab-ci-config.nix {
        inherit pkgs utilPkgs;
      };
    in {
      packages = {
        inherit setup-drupal;
      };

      lib = import ./nix/lib.nix {
        inherit pkgs utilPkgs setup-drupal create-gitlab-ci-config;
      };

      formatter = pkgs.alejandra;
    });
}
